Skip to navigation

Set deployment access

View as Markdown

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
Deployment ID

Request

This endpoint expects an object.
rolestringOptional
subject_idstringOptional
subject_typestringOptional

Response

Accepted
deployment_idstringOptional
desired_rolestringOptional
desired_versionlongOptional
statusstringOptional
subject_idstringOptional
subject_typestringOptional

Errors

400
Bad Request Error
404
Not Found Error
409
Conflict Error
503
Service Unavailable Error